Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Categories

Dark Dreams of Furiae - a new module for NWN:EE! Buy now
Attention, new and old users! Please read the new rules of conduct for the forums, and we hope you enjoy your stay!

Tweaks Anthology v5 Released

CamDawgCamDawg Member, Developer Posts: 3,420
edited March 3 in General Modding
The Tweaks Anthology is a WeiDU compilation of fixes, cosmetic changes, and tweaks that will run on every Infinity Engine game, from the original Planescape:Torment, through the Icewind Dale and Baldur's Gate series, and the new Enhanced Editions of the games. The successor to BG2 Tweaks and several other tweak packs, some of these were fan requests, others are needed fixes, and others simply make dealing with the more irritating aspects of the game engine easier. Each component can be installed separately so the player can pick and choose only which ones they wish to install. Version 5 includes several new components (Death Cam, NPCs Cannot Pass Doors, Start New Games with Party AI Turned Off, No Depreciation in Stores, Disable Romances, and Accelerate/Decelerate Romances), updated French and Chinese translations from Isaya and Angel respectively, and many bug fixes.

Version 5 Changelog

  • Various components would fail to install on IWD2 since the underlying macros could fail for non-BG2 resources.
  • Another run has been made to get all options of Adjust Cromwell's Forging Time to work for all platforms.
  • The level 2/1 and 4/3 versions of Khalid in Make Khalid a Fighter-Mage (Domi) have been bumped slightly to bring his hit points in line with the other versions
  • Disable Non-Hostile Rest Spawns and Alter Hostile Rest Spawns will no longer fail on areas that lack rest spawn info.
  • Updated the Simplified Chinese translation, thanks to c4_angel!
  • Updated the French translation, courtesy of Isaya
  • Reputation Resets at Beginning of BG2 is no longer an option for EET games, as this is already the default for EET
  • Added new components: Death Cam, NPCs Cannot Pass Doors, Start New Games with Party AI Turned Off, No Depreciation in Stores, Disable Romances, and Accelerate/Decelerate Romances
  • Updated the fl#add_kit_ee.tpa library (for EE kits) to the latest version
  • Fixed a bug where Loosen Item Restrictions for Multi- and Dual-class Clerics and Change Item Restrictions for Multi- and Dual-class Druids could fail with a malformed 2da file.
  • Allow Cromwell to Upgrade Watcher's Keep Items now accounts for the formula changes introduced by Item Revisions
  • The greater werewolf form in Shapeshifter Rebalancing now receives the promised base THAC0 of 6
  • Various components, especially in the rules section, were being made available for IWD2 games even though they did not apply

Post edited by JuliusBorisov on
ZaghoulContemplative_HamsterAedanGusindaThacoBellronaldoStummvonBordwehrJuliusBorisovhook71SssiksseilorAerakarFlashburnMirandelGrammarsaladAndreaColomboelminstermodestvoltaLudwig_II

Comments

  • ThelsThels Member Posts: 1,376
    edited August 2018
    Not sure if it's important, but when installing the following module:

    Installing [Alter Weapon Proficiency System -> BG-Style Weapon Proficiencies, With Weapon Styles (the bigg)] [v5]

    I receive the following warnings:

    * Warning: not able to account for all free pips on BDCAELA2.CRE
    * Warning: not able to account for all free pips on BDIMOEN.CRE


    EDIT: I'm not sure what's different, but after a second install, it installed fine. I've attached a Weidu log from the time it went wrong, but I'm not sure it's worth checking it out. It may simply be incidental.

    Also, perhaps useful for others to know. While not mentioned, the Alter Multiclass Restrictions module has been updated, adding options to restrict multiclass combinations to combinations where they can access the single-classes.

    Also, I noticed two issues when comparing the Readme file to the Adventurer's Guide, particularly the table on page 44: http://cdn.baldursgate.com/files/AdventurersGuide.pdf

    First, the component [Neutral Characters Make Happy Comments at Mid-Range Reputation] describes that Neutral characters are never happy. But the Adventurer's Guide describes Neutral characters being happy at Rep 16 and higher. Is this table correct? If so, will installing this component stop them from being happy at high Rep?

    Second, the component [Change Effect of Reputation on Store Prices -> Low Reputation Store Discount (Sabre)] describes the discount going up to 35% on both ends, while the table describes the discount going up to only 30%. This means this module makes the discount slightly better than the base game. Is that intended?

    I understand that these may be changes introduced by the EEs, but they may still be worth noting.

    Post edited by Thels on
  • LethlianLethlian Member Posts: 20
    Just wanted to say thank you for all the great work. By any chance is it possible to make this a (future addition) to tweaks?

    http://www.shsforums.net/files/file/1205-35-edition-weapon-style-rebalance/

    Would be awesome if possible. Regardless thanks a bunch. I use tweaks on all BG(s) and IWD.

  • ArthasArthas Member Posts: 1,091
    edited September 2018
    Hello, question:

    is it possible to add a component that makes the xp you get by party member on Baldur's gate 2 after completing a quest to become a single number?

    For example, after finishing a quest every party member gets 35k xp
    I would like that you get 35k xp * 6 = 210.000 instead, so if you go solo you are rewarded with the total amount instead of the fixed amount chosen by developers.

  • BennettBennett Member Posts: 14
    Hello and thanks for a great mod.

    Last night I started getting this error during my BWS EET installs. Any idea what is wrong?

    I tried installing several times, and get this error every time.
    ---------------
    In state 460, I expected one of these tokens:
    [48] BEGIN
    Parse error (state 460) at REPLACE_TEXTUALLY

    [CDTWEAKS/SETUP-CDTWEAKS.TP2] PARSE ERROR at line 4492 column 1-21
    Near Text: REPLACE_TEXTUALLY
    GLR parse error

    [CDTWEAKS/SETUP-CDTWEAKS.TP2] ERROR at line 4492 column 1-21
    Near Text: REPLACE_TEXTUALLY
    Parsing.Parse_error
    ERROR: parsing [CDTWEAKS/SETUP-CDTWEAKS.TP2]: Parsing.Parse_error
    ERROR: problem parsing TP file [CDTWEAKS/SETUP-CDTWEAKS.TP2]: Parsing.Parse_error

    FATAL ERROR: Parsing.Parse_error

    I also tried importing a selection that I am playing right now and that installed a week ago with no issues. That selection gives me the same errors.

  • CamDawgCamDawg Member, Developer Posts: 3,420
    That's rather odd--a parse error in the tp2 would be experienced by all players. It's possible that the mod was not downloaded or extracted correctly, or perhaps another mod tried to modify the Tweaks tp2.

  • argent77argent77 Member Posts: 3,030
    The problem lies with BWS, which downloads the latest master branch version of the mod. This is a dangerous practice, since mods can always be in a non-functional state between official releases.

    You can try to download the latest stable release of the mod from here and point BWS to the new file. You'll probably have to delete the original file "Tweaks-Anthology-master.zip" from the BWS download folder to trigger the query.

    @CamDawg There is currently a syntax error in setup-cdtweaks.tp2 around line 4491 (a missing BEGIN after DECOMPILE_AND_PATCH).

    hook71
  • CamDawgCamDawg Member, Developer Posts: 3,420
    So it's pulling the untested, WIP v6 instead of the stable v5? Brilliant.

    Parse error is fixed at least.

  • BennettBennett Member Posts: 14
    Thanks to you both! :D Downloading it directly would have been my next choice, but it is nice that the problem has been identified. :)

  • Dark_AnsemDark_Ansem Member Posts: 973
    We're now at Version 7 right=?

  • GrammarsaladGrammarsalad Member Posts: 2,572
    argent77 said:

    The problem lies with BWS, which downloads the latest master branch version of the mod. This is a dangerous practice, since mods can always be in a non-functional state between official releases.

    You can try to download the latest stable release of the mod from here and point BWS to the new file. You'll probably have to delete the original file "Tweaks-Anthology-master.zip" from the BWS download folder to trigger the query.

    @CamDawg There is currently a syntax error in setup-cdtweaks.tp2 around line 4491 (a missing BEGIN after DECOMPILE_AND_PATCH).

    Yeah, I remember specifically requesting that only release versions of fnp be downloaded. That was more than a year ago. I can't believe they still do this

  • distance20distance20 Member Posts: 1
    i install BGT with The Tweaks Anthology v7 and SCS v32
    npc go to inn and Allow BG NPC pairs to separate can't install
    scs v32 don't have stratagems_external folder

    Copied [cdtweaks/dw_components/resource/depart.d] to [stratagems_external/workspace]
    Compiling 1 dialogue file ...
    ERROR: error loading [stratagems_external/workspace/depart.d]
    ERROR: compiling [stratagems_external/workspace/depart.d]!
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.
    ERROR: [.../stratagems-inline/inn_data.2da] -> [.../stratagems-inline] Patching Failed (COPY) (Unix.Unix_error(20, "stat", "stratagems_external/workspace/depart.d"))
    Stopping installation because of error.

  • megamike15megamike15 Member Posts: 2,617
    have the same issue. npc separate won't install at all.

  • kamuizinkamuizin Member Posts: 3,684
    Just came to warn about one element of incompatibility in BG2:

    The feature "NPCs Cannot Pass Doors" will break the game in the Aslyum dream, where you have to bring Bhaal's essence to Imoen -
    your soul
    - as it must enter the candlekeep library.

    StummvonBordwehrAerakar
  • BaptorBaptor Member Posts: 249
    @CamDawg The download link is broken FYI.

  • JuliusBorisovJuliusBorisov Member, Administrator, Moderator, Developer Posts: 21,725
  • biffyclangerbiffyclanger Member Posts: 216
    Steam version return this error when trying to install

    [C:\Program Files (x86)\Steam\steamapps\common\Baldur's Gate II Enhanced Edition\setup-cdtweaks.exe] WeiDU version 24600
    {setup-atweaks.exe} Queried (pid = 720) version = 24700
    Newest WeiDU is version 24700, updating!
    WeiDU files in version order:
    [Setup-Unofficial Item Pack.exe] version 24700
    [setup-stratagems.exe] version 24700
    [setup-itemupgrade.exe] version 24700
    [setup-bg2fixpack.exe] version 24700
    [setup-atweaks.exe] version 24700
    [setup-sod2bg2_iu.exe] version 24600
    [setup-cdtweaks.exe] version 24600
    Copying [Setup-Unofficial Item Pack.exe] -> [setup-sod2bg2_iu.exe]: true
    Copying [Setup-Unofficial Item Pack.exe] -> [setup-cdtweaks.exe]: false
    [Setup-Unofficial] WeiDU version 24700
    Auto-Updating on behalf of [setup-cdtweaks.exe]
    ERROR: error loading [Setup-Unofficial]
    Unknown argument: [Item]

    WeiDU (version 24700: "Return of the Warlock")

    usage: WeiDU [options] BAF,BCS,D,DLG,TRA,TP,TP2-files

    General Input Options:

    --game X set main game directory to X
    --game-by-type X set main game directory to the one where X is installed (BG,BG2,IWD,IWD2,PST)
    --nogame do not load any default game files
    --search X look in X for input files (cumulative)
    --search-ids X look in X for input IDS files (cumulative)
    --tlkin X use X as DIALOG.TLK
    --ftlkin X use X as DIALOGF.TLK
    --use-lang X on games with multiple languages, use files in lang/X/
    --tlkmerge X merge X into loaded DIALOG.TLK

    Press Enter For More Options

  • argent77argent77 Member Posts: 3,030
    @biffyclanger It looks like the WeiDU installer doesn't handle filenames with spaces correctly when auto-update is performed.

    You might be able to circumvent this bug by updating all WeiDU setup executables in the directory manually to the latest WeiDU version. Just create a copy of one of the other mod installer executables (or use the binary from the official WeiDU package) and rename it to the respective setup filenames (e.g. "setup-sod2bg2_iu.exe" or "setup-cdtweaks.exe").

  • biffyclangerbiffyclanger Member Posts: 216
    Just making sure do you mean download WeiDU-Windows-247-x86.zip from your link and manually changing the name to the mods I want to install? Ok sry I am inexperienced in mods. I'll try in out later today and let u know the results. Cheers,

  • argent77argent77 Member Posts: 3,030
    Just making sure do you mean download WeiDU-Windows-247-x86.zip from your link and manually changing the name to the mods I want to install? Ok sry I am inexperienced in mods. I'll try in out later today and let u know the results. Cheers,

    Yes. Unpack the weidu.exe from the zip archive and rename it to "setup-sod2bg2_iu.exe". Do the same for "setup-cdtweaks.exe". Based on the log you've posted these two files are the only setup executables based on an older WeiDU version.

  • biffyclangerbiffyclanger Member Posts: 216
    edited March 19
    argent77 wrote: »
    Just making sure do you mean download WeiDU-Windows-247-x86.zip from your link and manually changing the name to the mods I want to install? Ok sry I am inexperienced in mods. I'll try in out later today and let u know the results. Cheers,

    Yes. Unpack the weidu.exe from the zip archive and rename it to "setup-sod2bg2_iu.exe". Do the same for "setup-cdtweaks.exe". Based on the log you've posted these two files are the only setup executables based on an older WeiDU version.

    Hey seems like it worked! thanks alot :).

  • biffyclangerbiffyclanger Member Posts: 216
    Yuk I did the same for Item Upgrade and its returned a different error....
    ...
    Extending game scripts ...
    ERROR: error loading [itemupgrade/baf/scs_compat.baf]
    Stopping installation because of error.
    Stopping installation because of error.
    Stopping installation because of error.

    ERROR Installing [Shadows Of Amn Item Upgrades -> Original Version (new upgrades in a list)], rolling back to previous state
    Will uninstall 112 files for [ITEMUPGRADE/ITEMUPGRADE.TP2] component 0.
    Uninstalled 112 files for [ITEMUPGRADE/ITEMUPGRADE.TP2] component 0.
    ERROR: Unix.Unix_error(20, "stat", "itemupgrade/baf/scs_compat.baf")
    Please make a backup of the file: SETUP-ITEMUPGRADE.DEBUG and look for support at: http://forums.pocketplane.net/index.php/board,43.0.html

    Any help is much appreciated.

  • argent77argent77 Member Posts: 3,030
    This looks like a mod-specific problem. You should ask about it in the mod forum mentioned by the error message. It might also be a good idea to ask about it on the SCS forum since it looks like the code is somehow related to SCS and that board is more active than the former.

Sign In or Register to comment.